## backup-manager 0.5.8

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 SHFILES=lib/dialog.sh \
 	lib/files.sh \
 	lib/actions.sh \
+	lib/logger.sh \
 	lib/gettext.sh \
 	lib/gettext-real.sh \
 	lib/gettext-dummy.sh \
