## backup-manager 0.6

=== doc/Makefile ===
--- 
+++ 
@@ -1,8 +1,14 @@
 
 BASE	= user-guide
 SOURCE	= $(BASE).sgml
+DEST    = /usr/share/backup-manager/doc
 
-install: pdf txt html
+all: pdf txt html
+install: all
+	install -d $(DEST)
+	install $(BASE).pdf $(DEST)
+	install $(BASE).html $(DEST)
+	install $(BASE).txt $(DEST)
 
 pdf:
 	debiandoc2pdf $(SOURCE)
