## backup-manager 0.6.2

=== Makefile ===
--- 
+++ 
@@ -3,15 +3,20 @@
 # For the backup-manager package
 PERL5DIR=$(DESTDIR)/usr/share/perl5
 LIBDIR=$(DESTDIR)/usr/share/backup-manager
+CONTRIB=$(LIBDIR)/contrib
 SHAREDIR=$(DESTDIR)/usr/share/backup-manager
 SHFILES=lib/dialog.sh \
 	lib/files.sh \
 	lib/actions.sh \
+	lib/backup-methods.sh\
+	lib/upload-methods.sh\
 	lib/logger.sh \
 	lib/gettext.sh \
 	lib/gettext-real.sh \
 	lib/gettext-dummy.sh \
+	lib/sanitize.sh \
 	lib/md5sum.sh 
+
 
 # For the backup-manager-doc package
 DOCDIR		= $(DESTDIR)/usr/share/doc/backup-manager
@@ -22,8 +27,13 @@
 DOCTXT		= doc/user-guide.txt
 
 # The backup-manager package
-install: install_lib install_deb install_po
-install_binary: doc install_lib install_deb install_po
+install: install_lib install_deb install_contrib install_man install_po
+install_binary: install_lib install_deb 
+
+install_contrib:
+	@echo -e "*** Contrib files ***\n"
+	install -d $(CONTRIB)
+	install -m0755 contrib/*.sh $(CONTRIB)
 
 # The backup-manager-doc package
 install_doc: 
@@ -37,7 +47,6 @@
 
 # The translation stuff
 install_po:
-	@echo -e "\n*** generating po files ***\n"
 	$(MAKE) -C po install
 
 # The backup-manager libraries
@@ -60,16 +69,16 @@
 	mkdir -p $(PERL5DIR)/BackupManager
 	install --owner=root --group=root --mode=0644 BackupManager/*.pm $(PERL5DIR)/BackupManager
 
-# generating the manpage from the perl scripts.
-doc:
+# Installing the man pages.
+install_man: 
 	@echo -e "\n*** generating manpages ***\n"
-	PERL5LIB=. pod2man --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.3
+	PERL5LIB=. pod2man --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.8
+	@echo -e "\n*** Installing man pages ***\n"
+	install -d /usr/share/man/man8/
+	install --owner=root --group=root --mode=0644 man/*.8 /usr/share/man/man8/
 
-# Installing the man pages.
-install_man:
-	@echo -e "\n*** Installing man pages ***\n"
-	install -d /usr/share/man/man3/
-	install --owner=root --group=root --mode=0644 man/*.3 /usr/share/man/man3/
+docs:
+	make -C doc all
 
 # Quick :)
 deb:
@@ -79,4 +88,5 @@
 	rm -f build-stamp
 	rm -rf debian/backup-manager
 	$(MAKE) -C po clean
+	$(MAKE) -C doc clean
