## backup-manager 0.7.5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 LIBDIR=$(DESTDIR)/usr/share/backup-manager
 CONTRIB=$(LIBDIR)/contrib
 SHAREDIR=$(DESTDIR)/usr/share/backup-manager
-SHFILES=lib/dialog.sh \
+SHFILES=\
+	lib/dialog.sh \
 	lib/files.sh \
 	lib/actions.sh \
 	lib/backup-methods.sh\
@@ -18,7 +19,6 @@
 	lib/sanitize.sh \
 	lib/md5sum.sh 
 
-
 # For the backup-manager-doc package
 DOCDIR		= $(DESTDIR)/usr/share/doc/backup-manager
 DOCHTMLDIR 	= $(DOCDIR)/user-guide.html
@@ -28,8 +28,8 @@
 DOCTXT		= doc/user-guide.txt
 
 # The backup-manager package
-install: install_lib install_deb install_contrib install_man install_po
-install_binary: install_lib install_deb 
+install: install_lib install_bin install_contrib install_man install_po
+install_binary: install_lib install_bin 
 
 install_contrib:
 	@echo -e "*** Contrib files ***\n"
@@ -57,12 +57,13 @@
 	install --owner=root --group=root --mode=0644 $(SHFILES) $(LIBDIR)
 
 # The main stuff to build the backup-manager package
-install_deb:
+install_bin:
 	@echo -e "\n*** Installing scripts ***\n"
 	mkdir -p $(DESTDIR)/usr/sbin
 	mkdir -p $(DESTDIR)/usr/bin
 	mkdir -p $(SHAREDIR)
 	install --owner=root --group=root --mode=0755 backup-manager $(DESTDIR)/usr/sbin
+	install --owner=root --group=root --mode=0755 backup-manager-purge $(DESTDIR)/usr/bin
 	install --owner=root --group=root --mode=0755 backup-manager-upload $(DESTDIR)/usr/bin
 	install --owner=root --group=root --mode=0644 backup-manager.conf.tpl $(SHAREDIR)
 	
@@ -84,10 +85,6 @@
 docs:
 	make -C doc all
 
-# Quick :)
-deb:
-	dpkg-buildpackage -us -uc -rfakeroot
-
 clean:
 	rm -f build-stamp
 	rm -rf debian/backup-manager
