## backup-manager 0.7.7

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 # smart ideas for finding out perl libraries' destination come 
 # from Thomas Parmelan.
 
-# $Revision: 523 $
-# $Date: 2006-10-20 16:35:41 +0200 (ven, 20 oct 2006) $
+# $Revision: 549 $
+# $Date: 2007-05-30 15:47:14 +0200 (mer, 30 mai 2007) $
 # $Author: sukria $
 
 
@@ -74,7 +74,7 @@
 # The backup-manager-doc package
 install_doc: 
 	@echo -e "\n*** Building the User Guide ***\n"
-	$(MAKE) -C doc
+	$(MAKE) -C doc DESTDIR=$(DESTDIR)
 	install -d $(DOCDIR)
 	install --owner=root --group=root --mode=0644 $(DOCPDF) $(DOCDIR)
 	install --owner=root --group=root --mode=0644 $(DOCTXT) $(DOCDIR)
@@ -108,10 +108,10 @@
 
 # Building manpages
 man/backup-manager-upload.8:
-	PERL5LIB=. pod2man --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.8
+	PERL5LIB=. pod2man --section 8 --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.8
 
 man/backup-manager-purge.8:
-	PERL5LIB=. pod2man --center="backup-manager-purge" backup-manager-purge > man/backup-manager-purge.8
+	PERL5LIB=. pod2man --section 8 --center="backup-manager-purge" backup-manager-purge > man/backup-manager-purge.8
 	
 # build the manpages
 manpages: manpages-stamp	
@@ -121,8 +121,8 @@
 # Installing the man pages.
 install_man: manpages-stamp
 	@echo -e "\n*** Installing man pages ***\n"
-	install -d /usr/share/man/man8/
-	install --owner=root --group=root --mode=0644 man/*.8 /usr/share/man/man8/
+	install -d $(DESTDIR)/usr/share/man/man8/
+	install --owner=root --group=root --mode=0644 man/*.8 $(DESTDIR)/usr/share/man/man8/
 
 testperldir:
 	@echo "PERL5DIR: $(PERL5DIR)"
@@ -134,7 +134,7 @@
 	rm -f build-stamp
 	rm -rf debian/backup-manager
 	rm -f man/backup-manager-upload.8
-	rm -f man/*.8
+	#rm -f man/*.8
 	$(MAKE) -C po clean
 	$(MAKE) -C doc clean
