## backup-manager 0.7.8

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 # smart ideas for finding out perl libraries' destination come 
 # from Thomas Parmelan.
 
-# $Revision: 549 $
-# $Date: 2007-05-30 15:47:14 +0200 (mer, 30 mai 2007) $
+# $Revision: 588 $
+# $Date: 2009-02-01 14:20:05 +0100 (dim 01 fév 2009) $
 # $Author: sukria $
 
 
@@ -37,9 +37,11 @@
 CONTRIB=$(LIBDIR)/contrib
 SHAREDIR=$(DESTDIR)/usr/share/backup-manager
 SHFILES=\
+	lib/externals.sh \
 	lib/dialog.sh \
 	lib/files.sh \
 	lib/actions.sh \
+	lib/dbus.sh \
 	lib/backup-methods.sh\
 	lib/upload-methods.sh\
 	lib/burning-methods.sh\
