=== po/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	done
 
 $(POFILES_SRC):
-	find ../lib -type f -name \*.sh > $(POFILES_SRC)
+	find ../lib -type f -name \*.sh | sort > $(POFILES_SRC)
 	echo ../backup-manager >> $(POFILES_SRC)
 
 $(PACKAGE).pot: $(POFILES_SRC)
@@ -43,7 +43,7 @@
 .po.mo: backup-manager.pot
 	@echo "Merging $(PACKAGE).pot and $*.po"
 	@msgmerge $*.po $(PACKAGE).pot -o $*.po.new
-	@if [[ "`diff $*.po $*.po.new | grep '[<>]' | wc -l`" -ne 2 ]]; then \
+	@if [ "`diff $*.po $*.po.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
         mv -f $*.po.new $*.po; \
     else \
         rm -f $*.po.new; \
