=== debian/changelog ===
backup-manager (0.7.10.1-2) unstable; urgency=medium

  * Install the correct cron script (Closes: #672235).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 09 May 2012 19:03:46 +0200

backup-manager (0.7.10.1-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream release (Closes: #655985).
    - Adds a new "postgresql" backup method (Closes: #637743).
  * Remove the fragile translation-updates.diff patch.  Instead, backup
    the upstream po files before the build and restore them in the clean
    target (Closes: #602633).
  * Depend on perl (via ${perl:Depends}), rather than than suggesting it,
    since perl is required by backup-manager-purge (LP: #941919).
  * Drop the debian-perl-location.diff patch, setting PERL5DIR in
    debian/rules instead.
  * Refresh the remaining Debian patches.
  * Fill out the same "Language:" header in debian/po/*.po.
  * Drop findutils dependency, even the version in Etch is new enough.
  * Upgrade Standards-Version to 3.9.3, no changes needed.
  * Update lintian override for Lintian 2.5.
  * Update debian/watch to find the 0.7.10.1 release tarball.
  * Add build-indep and (empty) build-arch targets to debian/rules.
  * Update Vcs-* fields in debian/control, switching to collab-maint.
  * Fix a few typos in the debconf templates, thanks to Daniele Forsi
    for the report.
  * Update README.Debian, the Amazon S3 upload method not longer needs
    libfile-slurp-perl (see #491199).
  * Demote the priority of the repo_user/repo_group debconf templates to
    medium.
  * Update debian/copyright.

  [ Georgios M. Zarkadas ]
  * Add Greek debconf translation.
  * Allow absolute paths in BM_TARBALL_BLACKLIST even when backing up
    the root (/) directory (Closes: #608237).
  * Fix missed archive uploads when backups are crossing the day
    limit (Closes: # 638803).
  * Provide a configuration option to record all uploaded archives in
    a single text database file (Closes: #638920).
  * Fix upstream makefile to make the build/clean process of gettext (po)
    files idempotent and bring sanity back to the package's build process.
  * Fix a security issue in pgsql backup method regarding the .pgpass
    file handling.
  * Add support for local unix sockets connections to the pgsql backup method.
  * Add existence check for pg_dumpall to the pgsql backup method.
  * Use the same naming convention for database methods generated archives.
  * Add myself to Uploaders.
  * Add cron script to remove old entries from uploaded archives database.
  * Update control file to reflect upstream fix of Amazon S3 uploading
    method's dependencies (Closes: #491199).
  * Fix missed warnings when BM_LOGGER* variables are undefined or wrongly
    configured (Closes: #567553).
  * Change configurator to dynamically update BM_TARBALL_BLACKLIST when
    user selections change during configuration (Closes: #610413).
  * Add backtracking support to the configurator.

  [ Sven Joachim, Georgios M. Zarkadas ]
  * Switch source format to 3.0 (quilt).
    - Drop debian/README.source.
  * Change debian/rules to use the generic 'dh$@' rule plus overrides.

  [ Joe Dalton ]
  * Add Danish debconf translation (Closes: #659162).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 07 Mar 2012 19:08:15 +0100

backup-manager (0.7.9-3) unstable; urgency=low

  * Remove /etc/backup-manager.conf.ucf-old on purge.
  * Associate /etc/backup-manager.conf with backup-manager via ucfr.
  * Bump ucf dependency to (>= 2.009), since that version introduced the
    ucfr command.
  * Update Brazilian Portuguese debconf translation, thanks to
    Eder L. Marques (Closes: #574147).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 17 Mar 2010 17:10:47 +0100

backup-manager (0.7.9-2) unstable; urgency=low

  * The "debconf is not a registry" release.
  * Respect manual moving/removal/installation of our cron script
    (Closes: #567477).
  * Source /etc/backup-manager.conf from the config script if possible
    to correct possibly outdated debconf values (Closes: #569587).
  * Do not install our possibly very expensive cron script by default
    (Closes: #518707), and mention in README.Debian how to enable it.
    Existing installations should not be affected.
  * Allow tar.lz (LZMA compressed tarballs) as archive filetype via debconf.
    Support for this filetype had been introduced in 0.7.5, but could
    only be enabled by manually editing /etc/backup-manager.conf.
  * Bump ucf dependency to (>= 0.28), since that version introduced the
    --debconf-ok option.
  * Upgrade Standards-Version to 3.8.4, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 14 Feb 2010 10:49:49 +0100

backup-manager (0.7.9-1) unstable; urgency=high

  * New upstream release.
    + Fix long version of the "-c" option in the manpage (Closes:#544253).
    + New configuration variable BM_LOGGER_LEVEL controls which messages
      should be sent to syslog. By default, only warnings and errors are
      logged (Closes: #488077).
    + Fix possible leaking of MYSQL passwords to local users, hence the
      high urgency.
  * Remove several patches that were applied upstream, refresh the others.
  * Add new patch that removes two newly introduced but never used
    variables form backup-manager's configuration template.
  * Convert headers of the remaining patches to DEP-3 format.
  * Register the user guide in doc-base.
  * Remove spurious trailing whitespace from debian/control.
  * Upgrade Standards-Version to 3.8.3, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 22 Jan 2010 14:16:23 +0100

backup-manager (0.7.8-2) unstable; urgency=medium

  * New maintainer (Closes: #536155).
  * Add missing build dependencies (Closes: #516060).
  * Make debian/rules less verbose (Closes: #535372).
  * Fix failure of the tarball-incremental method on the 8th and 9th
    day of each month (Closes: #518956). Thanks to Margarita Manterola.
  * Fix bug that treated tar warnings as fatal errors (Closes: #532976).
    Thanks to Alexey Salmin.

