=== debian/control ===
Source: backup-manager
Section: admin
Priority: optional
Build-Depends-Indep: debiandoc-sgml, texlive-fonts-recommended, texlive-latex-base,
                     texlive-latex-recommended, texlive-latex-extra, ghostscript
Build-Depends: po-debconf, debhelper (>= 7.0.50)
Maintainer: Sven Joachim <svenjoac@gmx.de>
Uploaders: Georgios M. Zarkadas <gz@member.fsf.org>
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/backup-manager.git
Vcs-Git: git://anonscm.debian.org/collab-maint/backup-manager.git
Homepage: http://www.backup-manager.org/

Package: backup-manager
Architecture: all
Suggests: backup-manager-doc, zip, openssh-client, wodim,
          genisoimage, gettext-base, anacron, dvd+rw-tools, dar,
          libnet-amazon-s3-perl
Depends: ${misc:Depends}, ${perl:Depends}, debconf | debconf-2.0, ucf (>= 2.009)
Description: command-line backup tool
 This is a backup program, designed to help you make daily archives of
 your file system.
 .
 Written in bash and perl, it can make tar, tar.gz, tar.bz2, and zip
 archives and can be run in a parallel mode with different
 configuration files. Other archives are possible: MySQL or SVN dumps,
 incremental backups...
 .
 Archives are kept for a given number of days and the upload system
 can use FTP, SSH or RSYNC to transfer the generated archives to a list of
 remote hosts.
 .
 Automatically burning archives to removable media such as CD or DVD is also
 possible.
 .
 The configuration file is very simple and basic and gettext is used for
 internationalization.

Package: backup-manager-doc
Section: doc
Architecture: all
Suggests: backup-manager
Depends: ${misc:Depends}
Description: documentation package for Backup Manager
 Backup-manager is a backup program, designed to help you make daily
 archives of  your file system.
 .
 This package provides the Backup Manager User Guide in different formats:
 HTML, plain text and PDF.
