=== debian/rules ===
#!/usr/bin/make -f

PKG = $(firstword $(shell dh_listpackages))
DOCPKG = $(lastword $(shell dh_listpackages))
TMP = $(CURDIR)/debian/$(PKG)
DOCTMP = $(CURDIR)/debian/$(DOCPKG)

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(TMP) \
	    PERL5DIR=$(TMP)/usr/share/perl5
	$(MAKE) -C $(CURDIR)/doc install DESTDIR=$(DOCTMP)

override_dh_installcron:
	dh_installcron
	dh_installcron --name=backup-manager-clean-upload-db
