=== debian/watch ===
version=3
http://www.backup-manager.org/download/ [Bb]ackup-[Mm]anager-([\.\d]+)\.tar\.gz
