## backup-manager 0.7.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright  2005-2010 The Backup Manager Authors
+# Copyright © 2005-2016 The Backup Manager Authors
 # See the AUTHORS file for details.
 #
 # This program is free software; you can redistribute it and/or
@@ -27,7 +27,7 @@
 # Overwrite that variable if you need to prefix the destination 
 # (needed for vendors).
 DESTDIR?=
-PREFIX?=/usr
+PREFIX?=/usr/local
 
 # Overwrite that variable with the Perl vendorlib Config value if 
 # you package Backup Manager
@@ -36,8 +36,9 @@
 # Some static paths, specific to backup-manager
 BINDIR=$(PREFIX)/bin
 SBINDIR=$(PREFIX)/sbin
+VARDIR=$(PREFIX)/var
 
-LIBDIR=$(DESTDIR)/$(PREFIX)/share/backup-manager
+LIBDIR=$(DESTDIR)/$(PREFIX)/lib/backup-manager
 CONTRIB=$(LIBDIR)/contrib
 SHAREDIR=$(DESTDIR)/$(PREFIX)/share/backup-manager
 SHFILES=\
@@ -70,7 +71,7 @@
 
 # The backup-manager package
 install: build install_lib install_bin install_contrib install_man install_po
-install_binary: build install_lib install_bin 
+install_binary: build install_lib install_bin
 
 install_contrib:
 	@echo -e "*** Contrib files ***\n"
@@ -89,7 +90,7 @@
 
 # The translation stuff
 install_po:
-	$(MAKE) -C po install
+	$(MAKE) -C po install DESTDIR=$(DESTDIR) PREFIX=$(PREFIX)
 
 # The backup-manager libraries
 install_lib:
@@ -107,10 +108,29 @@
 	install -o root -g 0 -m 0755 backup-manager-purge $(DESTDIR)/$(BINDIR)
 	install -o root -g 0 -m 0755 backup-manager-upload $(DESTDIR)/$(BINDIR)
 	install -o root -g 0 -m 0644 backup-manager.conf.tpl $(SHAREDIR)
+
+	# Set PREFIX to backup-manager binary
+	sed "s#^BIN_PREFIX=.*#BIN_PREFIX=$(DESTDIR)/$(BINDIR)#" -i $(DESTDIR)/$(SBINDIR)/backup-manager
+	sed "s#^LIB_PREFIX=.*#LIB_PREFIX=$(DESTDIR)/$(PREFIX)/lib#" -i $(DESTDIR)/$(SBINDIR)/backup-manager
+	sed "s#^VAR_PREFIX=.*#VAR_PREFIX=$(VARDIR)#" -i $(DESTDIR)/$(SBINDIR)/backup-manager
 	
 	mkdir -p $(PERL5DIR)
 	mkdir -p $(PERL5DIR)/BackupManager
 	install -o root -g 0 -m 0644 BackupManager/*.pm $(PERL5DIR)/BackupManager
+	
+# Uninstall
+uninstall:
+	@echo -e "\n*** Unsinstalling Backup-Manager ***\n"
+	@rm -fv $(DESTDIR)$(SBINDIR)/backup-manager
+	@rm -fv $(DESTDIR)$(BINDIR)/backup-manager-purge
+	@rm -fv $(DESTDIR)$(BINDIR)/backup-manager-upload
+	@rm -fv $(SHAREDIR)/backup-manager.conf.tpl
+	@rm -fv $(DESTDIR)$(PREFIX)/share/man/man8/backup-manager*.8
+	@rm -Rfv $(LIBDIR)
+	@rm -Rfv $(PERL5DIR)/BackupManager
+	@rm -Rfv $(SHAREDIR)
+	@rm -Rfv $(DESTDIR)$(PREFIX)/share/doc/backup-manager
+	@rm -fv $(DESTDIR)$(PREFIX)/share/locale/*/LC_MESSAGES/backup-manager.mo
 
 # Building manpages
 man/backup-manager-upload.8:
