=== debian/changelog ===
backup-manager (0.7.12-4) unstable; urgency=medium

  * Add myself as the main maintainer. (Closes: 784851)
  * Add new patch: Force-gzip-to-ignore-the-filename-and-timestamp.patch.
    Thanks to Santiago Vila for the report and fix (Closes: 831759)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 23 Aug 2016 12:51:17 +0200

backup-manager (0.7.12-3) unstable; urgency=medium

  * Add gnupg buid dependency.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Jul 2016 13:00:56 +0200

backup-manager (0.7.12-2) unstable; urgency=medium

  * Add new patch: Fix-pattern-generation.patch.
    Thanks to Chris Lamb for the report and trace (Closes: 831759)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Jul 2016 10:52:33 +0200

backup-manager (0.7.12-1) unstable; urgency=medium

  [ Dima Kogan ]
  * QA upload
  * New upstream release (Closes: #638919)
  * Updated references to the no-longer-existent upstream website
    (Closes: #711949)
  * Incremental archives are retained if their master archive is retained
    (Closes: #784446)

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Update Vcs uris.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Mar 2016 11:03:04 +0100
